
Lookup Editor - Bug #1093

Feature # 1079 (Closed): Create new KV lookup

Incorrect values for booleans should be ignored

10/28/2015 05:55 AM - Luke Murphey

Status: Closed Start date: 10/28/2015

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 2.0   

Description

Currently, the empty rows produce cells with "bad-input" for boolean values. This is an issue when creating empty rows for an empty

lookup.

History

#1 - 10/28/2015 05:57 AM - Luke Murphey

- Subject changed from When created empty rows, make sure to pay attention to types to When creating empty rows for an empty, make sure to pay

attention to types

#2 - 10/28/2015 05:59 AM - Luke Murphey

- Subject changed from When creating empty rows for an empty, make sure to pay attention to types to Incorrect values for booleans should be

ignored

- Description updated

#3 - 10/29/2015 09:47 PM - Luke Murphey

http://docs.handsontable.com/0.19.0/tutorial-cell-editor.html

#4 - 10/29/2015 11:30 PM - Luke Murphey

Not sure to handle this. I tried overriding the prepare function in order to set the value to true. It didn't work. It only gets called only when the cell is

clicked.

#5 - 10/29/2015 11:37 PM - Luke Murphey

Also, I have to set the renderer and set the type to 'bool'.

#6 - 10/29/2015 11:47 PM - Luke Murphey

The following overrides were attempted but failed to be called at the start:

1. createElements

2. prepare

3. init

4. open

#7 - 10/30/2015 02:31 AM - Luke Murphey

From what I can tell, the editor doesn't handle rendering of the cell.

#8 - 10/30/2015 03:00 AM - Luke Murphey

- Status changed from New to Closed
- % Done changed from 0 to 100
